[gitg] Missing libtool dependency in autogen.sh script



commit 38519a835724791fe52485ff6f62a439055b06f4
Author: Rafał Jaskurzyński <jaski88 gmail com>
Date:   Fri Aug 12 19:05:07 2016 +0200

    Missing libtool dependency in autogen.sh script
    
    Running autogen.sh script without libtool installed ended with error.
    
    Now user is informed about missing dependency:
    *** No libtool found, please install it ***
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769807

 autogen.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index c1a32c5..fced2c9 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,6 +24,12 @@ if test -z `which autopoint`; then
         exit 1
 fi
 
+LIBTOOL=`which libtoolize`
+if test -z $LIBTOOL; then
+        echo "*** No libtool found, please install it ***"
+        exit 1
+fi
+
 git submodule update --init --recursive
 
 if [ $? != 0 ]; then


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]